summaryrefslogtreecommitdiffstats
path: root/source/l/vte/vte.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/l/vte/vte.SlackBuild
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/l/vte/vte.SlackBuild')
-rwxr-xr-xsource/l/vte/vte.SlackBuild13
1 files changed, 9 insertions, 4 deletions
diff --git a/source/l/vte/vte.SlackBuild b/source/l/vte/vte.SlackBuild
index d9aa44c42..858b119ab 100755
--- a/source/l/vte/vte.SlackBuild
+++ b/source/l/vte/vte.SlackBuild
@@ -54,9 +54,9 @@ fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
+
rm -rf $PKG
mkdir -p $TMP $PKG
-
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z* || exit 1
@@ -79,7 +79,12 @@ CFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--disable-static \
- --build=$ARCH-slackware-linux
+ --disable-introspection \
+ --enable-python \
+ --enable-gnome-pty-helper \
+ --with-gtk=2.0 \
+ --with-default-emulation=xterm \
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
@@ -115,9 +120,9 @@ fi
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \
- AUTHORS COPYING HACKING INSTALL MAINTAINERS NEWS README \
+ AUTHORS COPYING* HACKING INSTALL MAINTAINERS NEWS README* \
$PKG/usr/doc/${PKGNAM}-$VERSION
-ln -s /usr/share/gtk-doc/html/vte $PKG/usr/doc/vte-$VERSION/html
+ln -s /usr/share/gtk-doc/html/vte-0.0 $PKG/usr/doc/vte-$VERSION/html
# If there's a ChangeLog, installing at least part of the recent history
# is useful, but don't let it get totally out of control: